Skip to content

Create Bolt Account

POST
/v1/account

Create a Bolt shopping account.

Authorization

X-API-Key
X-API-Key<token>

Admins and Developers can obtain their Bolt API key from the Bolt Merchant Dashboard.

In: header

Header Parameters

X-Publishable-Key?string

The publicly viewable identifier used to identify a merchant division. This key is found in the Developer > API section of the Bolt Merchant Dashboard [RECOMMENDED].

Idempotency-Key?string

A key created by merchants that ensures POST and PATCH requests are only performed once. Read more about Idempotent Requests here.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

The details needed to create a Bolt account.

Response Body

application/json

curl -X POST "https://example.com/v1/account" \  -H "Content-Type: application/json" \  -d '{    "profile": {      "email": "alan.watts@example.com",      "first_name": "Alan",      "last_name": "Watts"    }  }'
{  "addresses": [    {      "company": "Bolt",      "country": "United States",      "country_code": "US",      "door_code": "123456",      "email_address": "alan.watts@example.com",      "first_name": "Alan",      "id": "string",      "last_name": "Watts",      "locality": "Brooklyn",      "name": "Alan Watts",      "phone_number": "+12125550199",      "postal_code": "10044",      "priority": "primary",      "region": "NY",      "region_code": "NY",      "street_address1": "888 main street",      "street_address2": "apt 3021",      "street_address3": "c/o Alicia Watts",      "street_address4": "Bridge Street Apartment Building B",      "default": true,      "metadata": {        "customer_id": 234      }    }  ],  "has_bolt_account": true,  "payment_methods": [    {      "billing_address": {        "company": "Bolt",        "country": "United States",        "country_code": "US",        "door_code": "123456",        "email_address": "alan.watts@example.com",        "first_name": "Alan",        "id": "string",        "last_name": "Watts",        "locality": "Brooklyn",        "name": "Alan Watts",        "phone_number": "+12125550199",        "postal_code": "10044",        "priority": "primary",        "region": "NY",        "region_code": "NY",        "street_address1": "888 main street",        "street_address2": "apt 3021",        "street_address3": "c/o Alicia Watts",        "street_address4": "Bridge Street Apartment Building B"      },      "id": "string",      "last4": "4021",      "exp_month": 11,      "exp_year": 2024,      "network": "visa",      "default": true,      "type": "card",      "description": "string",      "metadata": {        "customer_id": 234      }    }  ],  "profile": {    "email": "alan.watts@example.com",    "first_name": "Alan",    "last_name": "Watts",    "metadata": {      "customer_id": 234    },    "name": "Alan Watts",    "phone": "+12125550199"  }}